## org.eclipse.emf.importer.rose
Class RoseImporterApplication

    java.lang.Object
      org.eclipse.emf.importer.ModelImporterApplication
          org.eclipse.emf.importer.rose.RoseImporterApplication

All Implemented Interfaces:
  IApplication

    public class RoseImporterApplication

extends ModelImporterApplication

Nested Class Summary
`static class` `RoseImporterApplication.PackageInfo`

Field Summary
`protected java.util.Map<java.lang.String,RoseImporterApplication.PackageInfo>` `nameToPackageInfo`
`protected java.util.Map<java.lang.String,RoseImporterApplication.PackageInfo>` `nameToReferencedPackageInfo`
`protected boolean` `noQualify`
`protected java.util.Map<java.lang.String,java.lang.String>` `pathMap`
`protected boolean` `unsettablePrimitive`

Fields inherited from class org.eclipse.emf.importer.ModelImporterApplication
`copyright, editFragmentPath, editorFragmentPath, editorProjectLocationPath, editProjectLocationPath, genJDKLevel, genModelFullPath, modelFragmentPath, modelImporter, modelLocations, modelPluginID, modelProjectLocationPath, NL, quiet, referencedEPackages, referencedGenModelURIToEPackageNSURIs, reload, sdo, templatePath, testsFragmentPath, testsProjectLocationPath, validateModel`

Fields inherited from interface org.eclipse.equinox.app.IApplication
`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

Constructor Summary
`RoseImporterApplication()`

Method Summary
`protected void` `adjustEPackages(Monitor monitor)`
`protected void` `adjustModelImporter(Monitor monitor)`
`protected ModelImporter` `createModelImporter()`
`RoseImporter` `getRoseImporter()`
`protected java.lang.StringBuffer` `getUsage()`
`protected int` `processArgument(java.lang.String[] arguments, int index)`
`protected int` `processPackageInformation(java.lang.String[] arguments, int index, java.util.Map<java.lang.String,RoseImporterApplication.PackageInfo> nameToPackageInfo)`
`protected void` `traverseEPackages(java.util.List<EPackage> ePackages)`

Methods inherited from class org.eclipse.emf.importer.ModelImporterApplication

`adjustAttributes, adjustGenModel, adjustModelImporterAfterPrepare, appendLine, computeEPackages, doExecute, execute, getModelImporter, getProgressMonitor, handleEPackage, handleGenModelPath, handleQualifiedEPackageName, handleReferencedEPackages, handleUnrecognizedArgument, printUsage, processArguments, processModelAndGenModelLocationArguments, processModelProjectArguments, run, run, run, setSDODefaults, start, stop, usePlatformURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noQualify

    protected boolean noQualify

### unsettablePrimitive

    protected boolean unsettablePrimitive

### pathMap

    protected java.util.Map<java.lang.String,java.lang.String> pathMap

### nameToPackageInfo

    protected java.util.Map<java.lang.String,RoseImporterApplication.PackageInfo> nameToPackageInfo

### nameToReferencedPackageInfo

    protected java.util.Map<java.lang.String,RoseImporterApplication.PackageInfo> nameToReferencedPackageInfo

Constructor Detail

### RoseImporterApplication

    public RoseImporterApplication()

Method Detail

### getRoseImporter

    public RoseImporter getRoseImporter()

### createModelImporter

    protected ModelImporter createModelImporter()

  Specified by:
    `createModelImporter` in class `ModelImporterApplication`

### getUsage

    protected java.lang.StringBuffer getUsage()

  Specified by:
    `getUsage` in class `ModelImporterApplication`

### processArgument

    protected int processArgument(java.lang.String[] arguments,
                                  int index)

  Overrides:
    `processArgument` in class `ModelImporterApplication`

### processPackageInformation

    protected int processPackageInformation(java.lang.String[] arguments,
                                            int index,
                                            java.util.Map<java.lang.String,RoseImporterApplication.PackageInfo> nameToPackageInfo)

### adjustModelImporter

    protected void adjustModelImporter(Monitor monitor)

  Overrides:
    `adjustModelImporter` in class `ModelImporterApplication`

### adjustEPackages

    protected void adjustEPackages(Monitor monitor)

  Overrides:
    `adjustEPackages` in class `ModelImporterApplication`

### traverseEPackages

    protected void traverseEPackages(java.util.List<EPackage> ePackages)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.